Page MenuHomePhabricator

in Special:Gather the content is shown in the UI language
Closed, ResolvedPublic

Description

Look at https://en.m.wikipedia.org/wiki/Special:Gather/by/Amire80/393?uselang=he

The content is English and the UI is Hebrew. The content is shown right-to-left, but it's supposed to be left-to-right.

Desktop MediaWiki usually sets the UI language to the <html> element and the content language to the content container.

Event Timeline

Amire80 created this task.Apr 19 2015, 8:13 AM
Amire80 raised the priority of this task from to Normal.
Amire80 updated the task description. (Show Details)
Amire80 added projects: Gather, I18n.
Amire80 added subscribers: Amire80, TheDJ, Arrbee and 7 others.
Jdlrobson set Security to None.
Jdlrobson moved this task from Needs triage to In sprint on the Gather board.Apr 20 2015, 11:31 PM
Jdlrobson moved this task from In Analysis to Ready for dev on the Gather Sprint Forward board.

Change 205964 had a related patch set uploaded (by Jdlrobson):
i18n: Specify content language directions

https://gerrit.wikimedia.org/r/205964

I don't have much knowledge on this, the current ui with this patch looks like this:

Is it expected that the buttons & icons are flipped RTL too? (See the user icon and the read more link at the bottom of the card).

Also, we can't know the language in which the title and description of the collection have been written in. How should we show them? (See that the description is rlt'ed but the content is in the wiki's language).

cc/ @Amire80

Change 205964 merged by jenkins-bot:
i18n: Specify content language directions

https://gerrit.wikimedia.org/r/205964

Jdlrobson closed this task as Resolved.Apr 28 2015, 11:01 PM
Jdlrobson moved this task from Ready for signoff to Done on the Gather Sprint Forward board.